<?php
/*
 * @Author: wang jun
 * @Date: 2021-11-09 09:39:05
 * @Last Modified by: wang jun
 * @Last Modified time: 2022-01-18 13:29:22
 */
namespace app\admin\controller;

use app\admin\logic\homelogic;
use think\Controller;

class Home extends AdminBase
{
    /**
     * 获取活动信息
     * 20220211
     * wj
     */
    public function getpartyinfo()
    {
        $param = request()->param();
        $l_h = new homelogic();
        $result = $l_h->getpartyinfo($param);
        if (1 != $result['status']) {
            return backjson2(0, $result['msg']);
        }
        return backjson2(200, $result['msg'], $result['data']);
    }
    /**
     * 获取企业信息
     * 20220211
     * wj
     */
    public function getcompanyinfo()
    {
        $param = request()->param();
        $l_h = new homelogic();
        $result = $l_h->getcompanyinfo($param);
        if (1 != $result['status']) {
            return backjson2(0, $result['msg']);
        }
        return backjson2(200, $result['msg'], $result['data']);
    }
    /**
     * 获取用户信息
     * 20220211
     * wj
     */
    public function getuserinfo()
    {
        $param = request()->param();
        $l_h = new homelogic();
        $result = $l_h->getuserinfo($param);
        if (1 != $result['status']) {
            return backjson2(0, $result['msg']);
        }
        return backjson2(200, $result['msg'], $result['data']);
    }
}
